Page MenuHomePhabricator

Release 5.2.1 (942.1)
Closed, ResolvedPublic

Description

Release version: 5.2.1 (942.1)
Release tag: releases/5.2.1.942.1
Release SHA1: dd5d45cc41d4705d802dbc678b1bcebf0d33bf54
App Store Submission Date: 9/19/2016
App Store Approval Date: 9/22/2016
App Store Release Date: 9/22/2016
Regression Testing URL: https://docs.google.com/spreadsheets/d/1hczd9lNFt9gts9ukQf2JouWY3FjVO510WrdI4_Rndvs/edit#gid=1459340151


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.) [to be fixed in 5.3.0 - see T145763]
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC for internal testing on iTunes Connect
  • Distribute RC to TSG
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received from TSG in Hockey App
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l
  • Point current status at this card
  • Update version number in | feedback email link

Event Timeline

JMinor created this task.Sep 19 2016, 8:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2016, 8:22 PM
JMinor triaged this task as High priority.Sep 19 2016, 8:56 PM
JMinor moved this task from Tasks from Product Backlog to Doing on the iOS-app-v5.2.1-Egg-Tart board.
JMinor moved this task from Needs Triage to PM-Backlog on the Wikipedia-iOS-App-Backlog board.
JMinor updated the task description. (Show Details)Sep 22 2016, 7:51 PM
JMinor updated the task description. (Show Details)Sep 22 2016, 10:56 PM
JMinor moved this task from Doing to Blocked or Waiting on the iOS-app-v5.2.1-Egg-Tart board.

@Mhurd @JoeWalsh @Fjalapeno can I get a release tag on Github for this delicious egg custard pastry we just baked?

JMinor renamed this task from Release 5.2.1 (942) to Release 5.2.1 (942.1).Sep 23 2016, 6:11 PM
JMinor updated the task description. (Show Details)
JMinor closed this task as Resolved.